Subject: bug#15814: 24.3.50; Signal error on malformed bindings in `cl-symbol-macrolet' (patch)

From: Nathan Trapuzzano <[email-masked]>
Date: Fri, 08 Nov 2013 09:39:06 -0500

Stefan Monnier <[email-masked]> writes:

>>> Now that I think about it, maybe an alternative for the "let format
>>> checks" is to keep them in bytecomp.el and change cconv so that the
>>> problems are *preserved* (and hence later detected by bytecomp).

We can make cconv work while preserving the malformed bindings, but when
the compiler prints the warnings, there's a good chance that the
malformed binding that gets printed will not look like the binding as it
appears in the source, since cconv might transform the VALUE part.
Therefore I think it's preferable to use byte-compile-log-warning in
cconv.